/**
 * @file       jokenpo.hpp
 * @author     Louise Stella    <louiselbarbosa@gmail.com> 
 * @version    1.0
 *
 * This is the header file for the jokenpo functions used on the Jokenpo library.
 *
 * Created for the "Linguagem de Programação I" class from the
 * Universidade Federal do Rio Grande do Norte em 24/06/2017.
 * 
 */

#ifndef _JOKENPO_H_
#define _JOKENPO_H_

namespace exemplo {

    extern "C" void print(std::string phrase);
    extern "C" int sum(int a, int b);

    template <typename T>
    T max ( T a, T b ){
        return (a > b) ? a : b;
    }
}

#endif
